be.fgov.ehealth.consultrn._1_0.core

## Class CountryType

- java.lang.Object
- - be.fgov.ehealth.consultrn._1_0.core.CountryType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    NationalityType

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2021-10-05T08:07:12+02:00",
                 comments="JAXB RI v2.2.11")
      public class CountryType
      extends Object
      implements Serializable

  Code and description of a country

  Java class for CountryType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CountryType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="InsCode" type="{urn:be:fgov:ehealth:consultRN:1_0:core}CountryNISType" minOccurs="0"/>
               <element name="Description" type="{urn:be:fgov:ehealth:commons:1_0:core}LocalisedString" maxOccurs="5" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CountryType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<LocalisedString>` | `getDescriptions()` Gets the value of the descriptions property.
    `Integer` | `getInsCode()` Gets the value of the insCode property.
    `void` | `setInsCode(Integer value)` Sets the value of the insCode property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CountryType

          public CountryType()

  - ### Method Detail

    - #### getInsCode

          public Integer getInsCode()

      Gets the value of the insCode property.
      Returns:
        possible object is `Integer`

    - #### setInsCode

          public void setInsCode(Integer value)

      Sets the value of the insCode property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### getDescriptions

          public List<LocalisedString> getDescriptions()

      Gets the value of the descriptions property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the descriptions property.

      For example, to add a new item, do as follows:

              getDescriptions().add(newItem);

      Objects of the following type(s) are allowed in the list `LocalisedString`

Connector Packaging PERSPRACTICALNURSE 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.